PATCH
Update client

Authorizations

x-api-key
string
header
required

Headers

x-tenant
string
required

Tenant identifier

Path Parameters

entityId
string
required

Query Parameters

withMatches
boolean
default:false

Option to include matches in the response. Max of 250 Matches. Default is false.

withCapital
boolean
default:false
withKyc
boolean
default:false

Option to include Kyc details in the response. Default is false.

Body

application/json
type
enum<string>
required

Entity type (individual vs organization)

Available options:
Individual,
Organization
status
enum<string>
required

Entity status

Available options:
Active,
Blocked,
Deactivated,
Deceased
nameEn
string

Full name in English. Either nameEn or nameAr must be provided

Example:

"John Michael Doe"

nameAr
string

Full name in Arabic. Either nameEn or nameAr must be provided

Example:

"جون ميخائيل دو"

gender
enum<string>

Entity gender

Available options:
Male,
Female,
NotSpecified
email
string

Email address of the entity

Example:

"john.doe@example.com"

countryCode
string

Country code for phone number (numeric digits as string, e.g., "966" for Saudi Arabia). If provided, phoneNumber must also be provided. If phoneNumber is provided, countryCode must also be provided.

Example:

"966"

phoneNumber
string

Phone number. If provided, countryCode must also be provided. If countryCode is provided, phoneNumber must also be provided.

Example:

"501234567"

accountOpenDate
string<date-time>

Account opening date (YYYY-MM-DD)

Example:

"2025-06-15"

dobGregorian
string

Date of birth (Gregorian, YYYY-MM-DD)

Example:

"1990-05-20"

dobHijri
string

Date of birth (Hijri, YYYY-MM-DD). Converted to Gregorian internally.

Example:

"1410-10-15"

dateOfIncorporationGregorian
string

Entity incorporation date (Gregorian, YYYY-MM-DD)

Example:

"2005-09-30"

dateOfIncorporationHijri
string

Entity incorporation date (Hijri, YYYY-MM-DD). Converted to Gregorian internally.

Example:

"1426-08-20"

nationalityCode
string

Nationality code (ISO 3166-1 alpha-2)

Example:

"SA"

crmId
string

A string identifier from your organization's system (such as a database-generated ID) that you provide so it can also be stored and referenced in our database

Example:

"550e8400-e29b-41d4-a716-446655440000"

tagIds
string[]

Tags to apply. On update, replaces the existing tags entirely; omit the field to leave them untouched.

ongoingMonitoring
boolean

Whether to monitor the entity against local/public watchlists. An unmonitored entity is not screened against local or public watchlists and does not count toward the public watchlist quota

Response

Success

id
string
required

Dal's database Id

Example:

"b50c7893-cd88-42bd-9fdd-b94f493315f9"

createdAt
string<date-time>
required

Create timestamp

Example:

"2025-12-02 12:00:00.000"

updatedAt
string<date-time>
required

Update timestamp

Example:

"2025-12-04 12:00:00.000"

archivedAt
string<date-time> | null
required

Archive timestamp

Example:

"2025-12-04 12:00:00.000"

crmId
object | null
required

A string identifier from your organization's system (such as a database-generated ID) that you provide so it can also be stored and referenced in our database

Example:

"550e8400-e29b-41d4-a716-446655440000"

type
enum<string>
required

Entity type (individual vs organization)

Available options:
Individual,
Organization
email
object | null
required

Email address of the entity

Example:

"john.doe@example.com"

nameEn
object | null
required

Full name in English

Example:

"John Michael Doe"

nameAr
object | null
required

Full name in Arabic

Example:

"جون ميخائيل دو"

status
enum<string>
required

Entity status

Available options:
Active,
Blocked,
Deactivated,
Deceased
verificationBlocked
enum<string> | null
required

Which verification flow has blocked this entity, if any

Available options:
Identity,
Address,
null
classification
enum<string> | null
required

Entity classification

Available options:
Retail,
Qualified,
Institutional,
null
category
enum<string>
required

Entity category

Available options:
Retail,
Qualified,
Institutional
gender
enum<string> | null
required

Entity gender

Available options:
Male,
Female,
NotSpecified,
null
countryCode
object | null
required

Country code for phone number (numeric digits as string, e.g., "966" for Saudi Arabia). If provided, phoneNumber must also be provided. If phoneNumber is provided, countryCode must also be provided.

Example:

"966"

phoneNumber
object | null
required

Phone number. If provided, countryCode must also be provided. If countryCode is provided, phoneNumber must also be provided.

Example:

"501234567"

accountOpenDate
string<date-time> | null
required

Account opening date (YYYY-MM-DD)

Example:

"2025-06-15"

dob
string<date-time> | null
required

Date of birth (Gregorian, YYYY-MM-DD)

Example:

"1990-05-20"

dateOfIncorporation
string<date-time> | null
required

Entity incorporation date (Gregorian, YYYY-MM-DD)

Example:

"2005-09-30"

netIncome
object | null
required

The annual net income for an entity

Example:

"10500"

netAssets
object | null
required

The net assets for an entity

Example:

"20750"

ongoingMonitoring
boolean
required

Whether to monitor the entity against local/public watchlists

reviewStatus
object
required

Review status information for the entity

caseCount
number
required

Number of cases found

matchCount
number
required

Number of matches found

organizationStatus
object | null
required
activities
object[]
required
relationships
object[]
required
identities
object[]
nationalityCode
object | null

Nationality code (ISO 3166-1 alpha-2)

Example:

"SA"

nationality
object | null
kyc
object | null
verifications
object

All verification items that an entity can undergo

tags
object[]
localMatches
object[]

Array of local matches (Nafith, Makken and Custom sources) found for this entity. Only available if withMatches is true in the request.

publicMatches
object[]

Array of public matches (Public watchlist sources) found for this entity. Only available if withMatches is true in the request.

capital
object | null